"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgentWorkerLoader = exports.AppWorkerLoader = void 0;
const webLoader_1 = require("./webLoader");
class AppWorkerLoader extends webLoader_1.MidwayWebLoader {
    /**
     * Load all directories in convention
     * @since 1.0.0
     */
    load() {
        // app > plugin > core
        this.loadApplicationExtend();
        this.loadRequestExtend();
        this.loadResponseExtend();
        this.loadContextExtend();
        this.loadHelperExtend();
        this.loadApplicationContext();
        // app > plugin
        this.loadCustomApp();
        // app > plugin
        this.loadService();
        // app > plugin > core
        this.loadMiddleware();
        // app
        this.loadController();
        // app
        this.loadRouter(); // Dependent on controllers
        // midway logic
        this.app.beforeStart(async () => {
            await this.refreshContext();
            await this.loadMidwayController();
        });
    }
}
exports.AppWorkerLoader = AppWorkerLoader;
class AgentWorkerLoader extends webLoader_1.MidwayWebLoader {
    load() {
        this.loadAgentExtend();
        this.loadApplicationContext();
        this.loadContextExtend();
        this.loadCustomAgent();
        this.app.beforeStart(async () => {
            await this.refreshContext();
        });
    }
}
exports.AgentWorkerLoader = AgentWorkerLoader;
//# sourceMappingURL=loader.js.map